Debian-Sicherheitsankündigung

DSA-632-1 linpopup -- Pufferüberlauf

Datum des Berichts:
10. Jan 2005
Betroffene Pakete:
linpopup
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 287044.
In Mitres CVE-Verzeichnis: CVE-2004-1282.
Weitere Informationen:

Stephen Dranger entdeckte einen Pufferüberlauf in linpopup, einer X11-Portierung von winpopup, die über Samba ausgeführt wird. Dieser kann die Ausführung von beliebigem Code zur Folge haben, wenn eine böswillig präparierte Nachricht angezeigt wird.

Für die Stable-Distribution (Woody) wurde dieses Problem in Version 1.2.0-2woody1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.2.0-7 behoben.

Wir empfehlen Ihnen, Ihr linpopup-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1.dsc
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1.diff.gz
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/linpopup/linpopup_1.2.0-2woody1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.